import type { Meta, StoryObj } from '@storybook/web-components-vite';
import type { WarpModal, WarpModalFooter, WarpModalHeader } from './index.ts';
import './index.ts';
declare const modalArgs: Partial<WarpModal> & {
    [key: string]: any;
};
declare const modalHeaderArgs: Partial<WarpModalHeader> & {
    [key: string]: any;
};
declare const modalFooterArgs: Partial<WarpModalFooter> & {
    [key: string]: any;
};
declare const meta: Meta;
export default meta;
export declare const Default: StoryObj;
export declare const WithImage: StoryObj;
export declare const Modal: StoryObj<typeof modalArgs>;
export declare const ModalHeader: StoryObj<typeof modalHeaderArgs>;
export declare const ModalFooter: StoryObj<typeof modalFooterArgs>;
